For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get All Inventories
      • GET Get Inventory
      • GET Get All Inventory Levels
      • GET Get Inventory Levels Grouped By Fulfillment Center
      • GET Get Inventory Levels Grouped By Lot
      • GET Get All Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Lot
      • GET Get Inventory Levels
      • POST Delete Lot Exclusion
      • GET Get Lot Exclusions
      • POST Create Lot Exclusion
      • POST Restore Lot Exclusion
LogoLogo
API ReferenceInventory

Get Lot Exclusions

||View as Markdown|
GET
/Experimental/lot-exclusion
GET
/Experimental/lot-exclusion
$curl https://api.shipbob.com/Experimental/lot-exclusion \
> -H "Authorization: Bearer <token>"
1{
2 "inventory_name": "string",
3 "inventory_sku": "string",
4 "lot_exclusions": [
5 {
6 "created_timestamp": "2019-08-24T14:15:22+00:00",
7 "id": 1,
8 "inventory_id": 123,
9 "is_deleted": false,
10 "lot_date": "2019-08-24T14:15:22+00:00",
11 "lot_number": "string"
12 }
13 ]
14}
Retrieves lot exclusions for a specific inventory item. Filter by SKU or inventory ID to find which lots are excluded from fulfillment.
Was this page helpful?
Previous

Delete Lot Exclusion

Next

Create Lot Exclusion

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

skustringOptional
SKU of the inventory item to retrieve lot exclusions for
inventory_idintegerOptional
Unique identifier of the inventory item to retrieve lot exclusions for

Response

Successfully retrieved lot exclusions for the inventory item
inventory_namestring
Name of the inventory item
inventory_skustring
SKU of the inventory item
lot_exclusionslist of objects
List of lot exclusions for the inventory item

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error